Subject: Re: incorrect usage of UTS_RELEASE in bcm43xx_get_drvinfo

From: Michael Buesch <[email-masked]>
Date: Fri, 21 Jul 2006 21:03:23 +0200

On Friday 21 July 2006 20:59, Olaf Hering wrote:
> 
> bcm43xx_get_drvinfo in 2.6.18-rc2 unfortunately uses UTS_RELEASE as
> driver version. I think this specific info can be obtained by other
> ways.
> Can you give bcm43xx a real version number and provide it via the
> ethtool ioctl?

I am not going to maintain a bogus version number.
What about simply returning 1.0 and be done with it.
I don't think it matters. 1.0 is as bogus as any other value.

-- 
Greetings Michael.